Creates a new job work instruction list.

Request Information

URI Parameters :

None.

Body Parameters :

job_work_instruction_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

jobs_id

Foreign key of the jobs

globally unique identifier

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs_reference_back_office

Embedded entity "jobs" using ERP PK when adding/updating

string

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs

Embedded entity "jobs" when adding/updating

jobs

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

work_instruction_details_id

work instruction details id

globally unique identifier
work_instruction_details_reference_back_office

Embedded code "work instruction details" when adding/updating

string
work_instruction_details

Embedded entity "work instruction details" when adding/updating

work_instruction_details
user_id

Filled by the person that completed that item on the checklist

globally unique identifier
work_instruction_action_type

Value from work_instruction_action_type.name

string
work_instruction_id

work instruction id

globally unique identifier

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

work_instruction_reference_back_office

Embedded code "work instruction" when adding/updating

string

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

work_instruction

Embedded entity "work instruction" when adding/updating

work_instruction

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

name

The "on what"

string

Required

Max length: 4000

status

Status can be Ok,NotOk,Replaced,NotApplicable

string

Max length: 50

date_done

Datetime filled when status goes to one valable status.

date
remark

Additional remark from the technician.

string

Max length: 255

advise

Additional advice from the technician.

string

Max length: 255

sequence

To order it.

integer
reference_back_office

The Id/Ref of the back office for this job work instruction. Used by Embedded entity

string

Max length: 255

group_name

Name of the group

string

Max length: 4000

group_sequence

Order of the group

integer
type

One of the possible types which are Regular, Form, Picture, UsedParts, BillableHours. Regular is the default

string
instruction_document_count

Specify how many documents/photos must be added if type is Picture

integer
db_report_type_id

When type is Form, you must specify which db_report_type must be filled

globally unique identifier
db_report_type_name

When type is Form, you must specify which db_report_type must be filled

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "d2e8e91f-3527-4916-a4eb-bb373025c03c",
  "jobs_id": "ef81e96b-d6b9-4f70-983c-fd69bf5ef4cf",
  "jobs_reference_back_office": "sample string 3",
  "jobs": {
    "id": "640837db-c4d8-43a7-a932-fd48bea7495c",
    "_parent_id": "9f63dbb8-2437-4b6b-ac88-922e8072fa0d",
    "_parent_jobs_reference_back_office": "sample string 3",
    "project_id": "2a0f6028-ed7d-4cd2-9091-848b32810e1a",
    "project_reference_back_office": "sample string 5",
    "project": {
      "id": "09cb91d6-fcc8-459f-b727-7cf80059d529",
      "_parent_id": "de0e8ae3-e0ba-4dcb-93ca-41cac4341482",
      "root_parent_id": "3ce5da13-9c7e-4009-88d3-56187ac5940a",
      "_parent_reference_back_office": "sample string 4",
      "equipment_family_id": "5065449e-3ce0-4843-b6f0-65cfd88f9f84",
      "equipment_family_code": "sample string 6",
      "equipment_family": {
        "id": "a2c46922-1a46-4bfe-9d7f-fe40b920cef1",
        "name": "sample string 2",
        "description": "sample string 3",
        "code": "sample string 4",
        "_parent_id": "73f0e416-0449-4414-8ebf-b8a31e14f3e5",
        "_parent_code": "sample string 6",
        "sales_organization_id": "6a4686c6-0240-473c-8d1b-c105abfb4f4e",
        "sales_organization_code": "sample string 8",
        "sales_organization": {
          "id": "52d5eb27-8e4d-4849-8ace-af4c0ab2b0da",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "9fd7a014-1740-4565-8ecc-710b68c4d5ee",
          "db_currency_id": "342859c6-d817-4aff-82d3-025f87f5f4ec",
          "db_language_id": "254013a7-4bb3-4d41-8ecd-7ec362f44028",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-22T16:25:21.7060835+00:00"
        },
        "modified_dateutc": "2026-11-22T16:25:21.7060835+00:00"
      },
      "equipment_model_id": "8a7f417e-fdd1-44fd-88d4-7c7a58102b76",
      "equipment_model_code": "sample string 8",
      "equipment_model": {
        "id": "6e9fc4b1-62dc-4b1c-80a2-c875723438a6",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "equipment_brand_id": "ebc51f75-5d46-4559-9521-08e257ef6d23",
        "equipment_brand_code": "sample string 6",
        "equipment_brand": {
          "id": "e1f963ad-22f8-4d86-b703-51e1079ab4cf",
          "name": "sample string 2",
          "code": "sample string 3",
          "sales_organization_id": "6372f678-87ff-4a8a-a808-a31854d2bf5f",
          "sales_organization_code": "sample string 5",
          "sales_organization": {
            "id": "52d5eb27-8e4d-4849-8ace-af4c0ab2b0da",
            "code": "sample string 2",
            "name": "sample string 3",
            "description": "sample string 4",
            "db_country_id": "9fd7a014-1740-4565-8ecc-710b68c4d5ee",
            "db_currency_id": "342859c6-d817-4aff-82d3-025f87f5f4ec",
            "db_language_id": "254013a7-4bb3-4d41-8ecd-7ec362f44028",
            "accountancy_code": "sample string 8",
            "archived": true,
            "default_unit_of_measure_system_type": "sample string 10",
            "street": "sample string 11",
            "street2": "sample string 12",
            "street_number": "sample string 13",
            "zip": "sample string 14",
            "city": "sample string 15",
            "email": "sample string 16",
            "phone": "sample string 17",
            "fax": "sample string 18",
            "url": "sample string 19",
            "vat_reg_code": "sample string 20",
            "modified_dateutc": "2026-11-22T16:25:21.7060835+00:00"
          },
          "modified_dateutc": "2026-11-22T16:25:21.7060835+00:00"
        },
        "equipment_family_id": "c6c58e62-ca54-449c-99bf-0b69875858ed",
        "equipment_family_code": "sample string 8",
        "equipment_family": {
          "id": "a2c46922-1a46-4bfe-9d7f-fe40b920cef1",
          "name": "sample string 2",
          "description": "sample string 3",
          "code": "sample string 4",
          "_parent_id": "73f0e416-0449-4414-8ebf-b8a31e14f3e5",
          "_parent_code": "sample string 6",
          "sales_organization_id": "6a4686c6-0240-473c-8d1b-c105abfb4f4e",
          "sales_organization_code": "sample string 8",
          "sales_organization": {
            "id": "52d5eb27-8e4d-4849-8ace-af4c0ab2b0da",
            "code": "sample string 2",
            "name": "sample string 3",
            "description": "sample string 4",
            "db_country_id": "9fd7a014-1740-4565-8ecc-710b68c4d5ee",
            "db_currency_id": "342859c6-d817-4aff-82d3-025f87f5f4ec",
            "db_language_id": "254013a7-4bb3-4d41-8ecd-7ec362f44028",
            "accountancy_code": "sample string 8",
            "archived": true,
            "default_unit_of_measure_system_type": "sample string 10",
            "street": "sample string 11",
            "street2": "sample string 12",
            "street_number": "sample string 13",
            "zip": "sample string 14",
            "city": "sample string 15",
            "email": "sample string 16",
            "phone": "sample string 17",
            "fax": "sample string 18",
            "url": "sample string 19",
            "vat_reg_code": "sample string 20",
            "modified_dateutc": "2026-11-22T16:25:21.7060835+00:00"
          },
          "modified_dateutc": "2026-11-22T16:25:21.7060835+00:00"
        },
        "date_in_production_since": "2026-11-22T16:25:21.7060835+00:00",
        "date_out_of_production_since": "2026-11-22T16:25:21.7060835+00:00",
        "date_end_support": "2026-11-22T16:25:21.7060835+00:00",
        "sales_organization_id": "f1d767ff-8493-49ad-ba6f-20647b5224da",
        "sales_organization_code": "sample string 13",
        "sales_organization": {
          "id": "52d5eb27-8e4d-4849-8ace-af4c0ab2b0da",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "9fd7a014-1740-4565-8ecc-710b68c4d5ee",
          "db_currency_id": "342859c6-d817-4aff-82d3-025f87f5f4ec",
          "db_language_id": "254013a7-4bb3-4d41-8ecd-7ec362f44028",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-22T16:25:21.7060835+00:00"
        },
        "replacement_period_nb_months": 14,
        "warranty_period_nb_months": 15,
        "translations": [
          {
            "field_name": "sample string 1",
            "language_code": "sample string 2",
            "value_translated": "sample string 3"
          },
          {
            "field_name": "sample string 1",
            "language_code": "sample string 2",
            "value_translated": "sample string 3"
          }
        ],
        "modified_dateutc": "2026-11-22T16:25:21.7060835+00:00"
      },
      "project_status_id": "ade493fd-bb92-4187-bf0e-8de44acdda03",
      "project_status_code": "sample string 10",
      "project_status": {
        "id": "a545312a-16b5-4a4a-b786-9a02a6793313",
        "name": "sample string 2",
        "is_default": true,
        "is_closed": true,
        "sales_organization_id": "be9286d9-725e-4a8c-93b5-dd39b8754922",
        "sales_organization_code": "sample string 6",
        "sales_organization": {
          "id": "52d5eb27-8e4d-4849-8ace-af4c0ab2b0da",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "9fd7a014-1740-4565-8ecc-710b68c4d5ee",
          "db_currency_id": "342859c6-d817-4aff-82d3-025f87f5f4ec",
          "db_language_id": "254013a7-4bb3-4d41-8ecd-7ec362f44028",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-22T16:25:21.7060835+00:00"
        },
        "code": "sample string 7",
        "modified_dateutc": "2026-11-22T16:25:21.7060835+00:00"
      },
      "company_id": "cea57b65-d98e-47d5-bb54-8dc5d58a48c1",
      "company_code": "sample string 12",
      "db_address_id": "ecd03f63-591e-4024-8875-730cf3c74646",
      "db_address_code": "sample string 14",
      "location": "sample string 15",
      "contact_id": "7f668fe7-fdfb-40ac-9ae4-e86abe8f65e4",
      "contact_reference_back_office": "sample string 17",
      "owner_user_id": "fe6530b4-6e42-430c-b560-910a5b991be9",
      "name": "sample string 19",
      "description": "sample string 20",
      "reference_back_office": "sample string 21",
      "serial_number": "sample string 22",
      "barcode": "sample string 23",
      "date_start_production": "2026-11-22T16:25:21.7060835+00:00",
      "date_create": "2026-11-22T16:25:21.7060835+00:00",
      "date_update": "2026-11-22T16:25:21.7060835+00:00",
      "updated_by_user_id": "24eec925-ac76-4478-8b7e-817e77268ea9",
      "customer_reference": "sample string 28",
      "warranty_date_until": "2026-11-22T16:25:21.7060835+00:00",
      "last_standard_result_score_1": "sample string 30",
      "last_standard_result_score_2": "sample string 31",
      "target_standard_result_score_1": "sample string 32",
      "target_standard_result_score_2": "sample string 33",
      "date_built": "2026-11-22T00:00:00+00:00",
      "shutdown_consequence": "sample string 35",
      "id2": 36,
      "nb_open_jobs": 37,
      "date_next_job": "2026-11-22T16:25:21.7060835+00:00",
      "date_last_job": "2026-11-22T16:25:21.7060835+00:00",
      "nb_jobs_planned": 40,
      "nb_jobs_tobeplanned": 41,
      "nb_jobs_waitingfurtheraction": 42,
      "back_office_timestamp": "2026-11-22T16:25:21.7060835+00:00",
      "modified_dateutc": "2026-11-22T16:25:21.7060835+00:00",
      "is_mobile_installation": true
    },
    "job_type_id": "ab406ca5-98f9-4023-9456-1434c2ae8d23",
    "job_type_code": "sample string 7",
    "job_type": {
      "id": "932438de-c32d-4304-8aae-e5a16e82fde9",
      "name": "sample string 2",
      "sales_organization_id": "99514c06-3af2-4f8a-9979-4c94b96dceef",
      "description": "sample string 4",
      "is_default": true,
      "modified_dateutc": "2026-11-22T16:25:21.7060835+00:00",
      "code": "sample string 7"
    },
    "job_priority_id": "3f39ce2b-2d38-4ddf-856b-b5b12d88202b",
    "job_priority_code": "sample string 9",
    "job_priority": {
      "id": "4dfee24c-96b4-4fea-9661-c52e6c7c85fa",
      "name": "sample string 2",
      "is_default": true,
      "sequence": 4,
      "sales_organization_id": "9aeba5d8-0244-4f9d-bb02-5b9a5f69bed7",
      "sales_organization_code": "sample string 6",
      "sales_organization": {
        "id": "52d5eb27-8e4d-4849-8ace-af4c0ab2b0da",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "9fd7a014-1740-4565-8ecc-710b68c4d5ee",
        "db_currency_id": "342859c6-d817-4aff-82d3-025f87f5f4ec",
        "db_language_id": "254013a7-4bb3-4d41-8ecd-7ec362f44028",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-11-22T16:25:21.7060835+00:00"
      },
      "code": "sample string 7",
      "modified_dateutc": "2026-11-22T16:25:21.7060835+00:00"
    },
    "job_status_id": "f9cffbf1-4b0a-495f-bd5d-45f7efb6854b",
    "job_status_code": "sample string 11",
    "db_address_id": "81baf92a-fd22-4060-974f-0cbc78793c0d",
    "contact_id": "52d4d681-e5fe-4c19-a4c9-2ac71bd9837e",
    "requested_by_company_id": "e3009f37-b0df-4d83-82ea-13ee1a7e5719",
    "requested_by_contact_id": "9aa502b3-2cc1-4a52-b500-bc1487de06a9",
    "reference_back_office": "sample string 16",
    "name": "sample string 17",
    "description": "sample string 18",
    "working_sequence": 19,
    "internal_memo": "sample string 20",
    "prejob_information": "sample string 21",
    "estimated_time": 22,
    "earliest_date_plannable": "2026-11-22T16:25:21.7060835+00:00",
    "due_date": "2026-11-22T16:25:21.7060835+00:00",
    "date_create": "2026-11-22T16:25:21.7060835+00:00",
    "date_update": "2026-11-22T16:25:21.7060835+00:00",
    "date_closed": "2026-11-22T16:25:21.7060835+00:00",
    "suggested_user_id": "a29bd7ca-942a-4c22-92d3-87c2017c0f89",
    "suggested_user_code": "sample string 29",
    "suggested_user": {
      "id": "3a042503-35da-4b56-8b1a-99cfdc6313e9",
      "db_language_id": "05483c24-0560-426f-9786-8867b426995e",
      "username": "sample string 3",
      "firstname": "sample string 4",
      "lastname": "sample string 5",
      "code": "sample string 6",
      "archived": true,
      "disabled": true,
      "emergency_contact": "sample string 9",
      "bankaccount": "sample string 10",
      "social_security": "sample string 11",
      "place_of_birth": "sample string 12",
      "nationality": "sample string 13",
      "functions": "sample string 14",
      "birthdate": "2026-11-22T16:25:21.7060835+00:00",
      "skype": "sample string 16",
      "notes": "sample string 17",
      "sales_organization_id": "c8680698-b046-46e0-a81c-20c3cde604fa",
      "sales_organization": {
        "id": "52d5eb27-8e4d-4849-8ace-af4c0ab2b0da",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "9fd7a014-1740-4565-8ecc-710b68c4d5ee",
        "db_currency_id": "342859c6-d817-4aff-82d3-025f87f5f4ec",
        "db_language_id": "254013a7-4bb3-4d41-8ecd-7ec362f44028",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-11-22T16:25:21.7060835+00:00"
      },
      "sales_organization_code": "sample string 19",
      "is_team_leader": true,
      "team_leader_user_id": "24dc8e60-eab3-4dde-8333-cff0ea90768f",
      "email": "sample string 22",
      "phone": "sample string 23",
      "fax": "sample string 24",
      "mobile": "sample string 25",
      "private_email": "sample string 26",
      "private_phone": "sample string 27",
      "private_fax": "sample string 28",
      "private_mobile": "sample string 29",
      "private_street": "sample string 30",
      "private_street_number": "sample string 31",
      "private_city": "sample string 32",
      "private_zip": "sample string 33",
      "private_db_country_id": "d4009305-d18b-477d-83b8-b79b5cd08329",
      "private_db_country_code": "sample string 35",
      "modified_dateutc": "2026-11-22T16:25:21.7060835+00:00",
      "allow_hero_app": true,
      "allow_sales_app": true,
      "allow_service_app": true,
      "user_group_id": "a608293f-646b-4c15-8e60-f1272e4842c9"
    },
    "suggested_date_start": "2026-11-22T16:25:21.7060835+00:00",
    "skill_id": "e453ce85-dc0b-4aea-9489-efcefb06b374",
    "skill_code": "sample string 32",
    "skill": {
      "id": "b532ea30-1df2-4b71-a050-0d3542cdab68",
      "name": "sample string 2",
      "description": "sample string 3",
      "code": "sample string 4",
      "sales_organization_id": "75195b54-e1a2-4012-be8e-3c95e7fd1f5e",
      "sales_organization_code": "sample string 6",
      "sales_organization": {
        "id": "52d5eb27-8e4d-4849-8ace-af4c0ab2b0da",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "9fd7a014-1740-4565-8ecc-710b68c4d5ee",
        "db_currency_id": "342859c6-d817-4aff-82d3-025f87f5f4ec",
        "db_language_id": "254013a7-4bb3-4d41-8ecd-7ec362f44028",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-11-22T16:25:21.7060835+00:00"
      },
      "modified_dateutc": "2026-11-22T16:25:21.7060835+00:00"
    },
    "customer_reference": "sample string 33",
    "approval_responsible_user_id": "0571f161-6048-427e-be63-ef708f49ae68",
    "date_reported_by_company": "2026-11-22T16:25:21.7060835+00:00",
    "id2": 36,
    "company_id": "1611c2e5-bf93-44f8-be6d-1638a5dd73d8",
    "company_code": "sample string 38",
    "db_address_name": "sample string 39",
    "db_address_street": "sample string 40",
    "db_address_street2": "sample string 41",
    "db_address_street_number": "sample string 42",
    "db_address_city": "sample string 43",
    "db_address_zip": "sample string 44",
    "db_address_db_country_id": "f1432f41-24f0-4ffe-8df4-c75fc85d6bff",
    "db_address_db_country_code": "sample string 46",
    "db_address_phone": "sample string 47",
    "db_address_email": "sample string 48",
    "db_address_latitude_decimal": 49.0,
    "db_address_longitude_decimal": 50.0,
    "estimated_quantity_remark": "sample string 51",
    "modified_dateutc": "2026-11-22T16:25:21.7060835+00:00"
  },
  "work_instruction_details_id": "30f944d8-6b10-463b-a3b5-2101584f02b9",
  "work_instruction_details_reference_back_office": "sample string 5",
  "user_id": "51a07567-737f-41cc-a711-1cb1f58f2de1",
  "work_instruction_action_type": "sample string 7",
  "work_instruction_id": "11f4fb2e-178d-417a-a386-9c9031b075d0",
  "work_instruction_reference_back_office": "sample string 9",
  "name": "sample string 10",
  "status": "sample string 11",
  "date_done": "2026-11-22T16:25:21.7217626+00:00",
  "remark": "sample string 13",
  "advise": "sample string 14",
  "sequence": 1,
  "reference_back_office": "sample string 15",
  "group_name": "sample string 16",
  "group_sequence": 1,
  "type": "sample string 17",
  "instruction_document_count": 1,
  "db_report_type_id": "161ee4f0-6a53-48e4-b78d-93cc1204dc21",
  "db_report_type_name": "sample string 18",
  "modified_dateutc": "2026-11-22T16:25:21.7217626+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.